Enums are mapped to numbers by default

### Type parameters

- #### E

### Hierarchy

- EnumMapper

### Implements

- MapperForType<E, NumberAttribute>

## Index

### Constructors

- constructor

### Methods

- fromDb
- toDb

## Constructors

### constructor

- new EnumMapper(): EnumMapper

- - Defined in mapper/for-type/enum.mapper.ts:8

  #### Returns EnumMapper

## Methods

### fromDb

- fromDb(attributeValue: NumberAttribute, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): E

- - Defined in mapper/for-type/enum.mapper.ts:22

  #### Parameters

  - ##### attributeValue: NumberAttribute

  - ##### Optional propertyMetadata: PropertyMetadata<any, NumberAttribute>

  #### Returns E

### toDb

- toDb(value: E, propertyMetadata?: PropertyMetadata<any, NumberAttribute>): NumberAttribute

- Implementation of MapperForType.toDb

  - Defined in mapper/for-type/enum.mapper.ts:11

  #### Parameters

  - ##### value: E

  - ##### Optional propertyMetadata: PropertyMetadata<any, NumberAttribute>

  #### Returns NumberAttribute

Generated using TypeDoc